<panel title="Agent Mini Profile">

  <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" gap="0"/>
  <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0" />
  <layout class="fit_children_attachment" alignment="vertical" offset="0" />

  <!-- profile picture -->
  <widget class="picture" id="prop" width="160" height="130">
    <boolean id="scale_picture" value="true" />
    <boolean id="keep_aspect_ratio" value="true" />
    <flags id="image_alignment" value="centre" />

    <layout class="stick_to_sides_attachment" alignment="top,left" inset="0"/>
    <attachment class="test_setting_attachment" get_setting="show_portraits" default_value="true" set_property="hidn">
      <list id="value">
        <boolean value="false"/>
      </list>
    </attachment>

    <record id="object_property">
      <list id="get_properties">
        <record>
          <integer id="get_property" value="fcgn" />
          <!--Facegen data request-->
        </record>
        <record>
          <integer id="get_property" value="Pfke" />
          <!--Fake name request-->
        </record>
        <record>
          <integer id="get_property" value="prpc" />
          <integer id="set_property" value="valu" />
        </record>
      </list>
    </record>
  </widget>

  <widget class="table" layout="-1" fixed_size_rows="true" row_spacing="0" row_height="18" mode="fill_rows" id="layt">
    <boolean id="stretch_to_fit_rows" value="true"/>

    <!-- custom row graphics -->
    <list id="row_properties">
      <record indx="0">
        <flags id="appearance" value="table/custom/stripe/row"/>
      </record>
      <record indx="1">
        <flags id="appearance" value="table/custom/stripe/row"/>
      </record>
    </list>
    
    <!-- Nationality -->
    <widget class="nation_button" id="natp"  row="0" col="0" style="semi_bold">
      <record id="object_property">
        <integer id="get_property" value="Pnat" />
      </record>
    </widget>

    <!-- City of birth -->
    <widget class="client_object_label" id="citb" row="1" col="0" size="7" alignment="centre_y, left">
      <record id="object_property">
        <integer id="get_property" value="Pcob"/>
      </record>
    </widget>

    <!-- Age in years -->
    <widget class="dob_label" id="ages" row="2" col="0" dspf="2" style="semi_bold">
      <record id="object_property">
        <integer id="get_property" value="Pfad" />
      </record>
    </widget>

    <!-- Date of birth -->
    <!-- display_format="Born [%date#1-short][COMMENT: person was born on date]" -->
    <widget class="dob_label" id="ageb" row="3" col="0"  size="7">
      <string id="text" value="Born [%date#1-short][COMMENT: person was born on date]" />
      <record id="object_property">
        <integer id="get_property" value="Pfad" />
      </record>
    </widget>
    
  </widget>
    
</panel>